Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionToolBox

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionToolBox

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QStyleOptionToolBoxV2

    public class QStyleOptionToolBox

extends QStyleOption

The `QStyleOptionToolBox` class is used to describe the parameters needed for drawing a tool box.

`QStyleOptionToolBox` contains all the information that `QStyle` functions need to draw `QToolBox`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOption`, `QToolBox`

Nested Class Summary
`static class` | `QStyleOptionToolBox.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionToolBox.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionToolBox()` Creates a `QStyleOptionToolBox`, initializing the members variables to their default values.
`protected` | `QStyleOptionToolBox(int version)`
`` | `QStyleOptionToolBox(QStyleOptionToolBox other)` Constructs a copy of the `other` style option.

Method Summary
`static QStyleOptionToolBox` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionToolBox instance pointed to by nativePointer
`QIcon` | `icon()` Returns the icon for the tool box tab.
`static QNativePointer` | `nativePointerArray(QStyleOptionToolBox[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionToolBox array.
`void` | `setIcon(QIcon icon)` Sets the icon for the tool box tab to `icon`.
`void` | `setText(java.lang.String text)` Sets the text for the tool box tab to `text`.
`java.lang.String` | `text()` Returns the text for the tool box tab.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionToolBox

    public QStyleOptionToolBox(QStyleOptionToolBox other)

  Constructs a copy of the `other` style option.

### QStyleOptionToolBox

    public QStyleOptionToolBox()

  Creates a `QStyleOptionToolBox`, initializing the members variables to their default values.

### QStyleOptionToolBox

    protected QStyleOptionToolBox(int version)

Method Detail

### setIcon

    public final void setIcon(QIcon icon)

  Sets the icon for the tool box tab to `icon`.

  The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

  See Also:
    `icon`

### icon

    public final QIcon icon()

  Returns the icon for the tool box tab.

  The default value is an empty icon, i.e. an icon with neither a pixmap nor a filename.

  See Also:
    `setIcon`

### setText

    public final void setText(java.lang.String text)

  Sets the text for the tool box tab to `text`.

  The default value is an empty string.

  See Also:
    `text`

### text

    public final java.lang.String text()

  Returns the text for the tool box tab.

  The default value is an empty string.

  See Also:
    `setText`

### fromNativePointer

    public static QStyleOptionToolBox fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionToolBox instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionToolBox[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionToolBox array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD